Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 01 Jul 2011 12:13:14 +0200

Jan Djärv <[email-masked]> writes:

> grep --color=always

Hm.  But I guess people don't want to have that explicitly on the
command line they're editing when doing `M-x grep'?

The original problem was that the user had used a command that has
"less" as part of its pipeline, if running under a PTY.  Many other
commands react to the PTY in different ways (some that we want, like the
GREP_COLOR thing), and some that we don't want (like running less).

I'm not sure there's a fix here that will satisfy all use cases.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/